Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport

    java.lang.Object
      org.codehaus.groovy.runtime.GroovyCategorySupport

    public class GroovyCategorySupport
    extends Object

Authors:
  sam
  Paul King
  Alex Tkachman

Nested Class Summary
`static class` | `GroovyCategorySupport.CategoryMethodList`
`static class` | `GroovyCategorySupport.ThreadCategoryInfo`

Method Summary
`static GroovyCategorySupport.CategoryMethodList` | `getCategoryMethods(String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static AtomicInteger` | `getCategoryNameUsage(String name)`
`static String` | `getPropertyCategoryGetterName(String propertyName)`
`static String` | `getPropertyCategorySetterName(String propertyName)`
`static boolean` | `hasCategoryInAnyThread()`
`static boolean` | `hasCategoryInCurrentThread()`
`static Object` | `use(Class categoryClass, Closure closure)` Create a scope based on given categoryClass and invoke closure within that scope.
`static Object` | `use(List categoryClasses, Closure closure)` Create a scope based on given categoryClasses and invoke closure within that scope.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getCategoryMethods

    public static GroovyCategorySupport.CategoryMethodList getCategoryMethods(String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.
  Parameters:
    `name` - the method name of interest
  Returns:
    the list of methods

### getCategoryNameUsage

    public static AtomicInteger getCategoryNameUsage(String name)

### getPropertyCategoryGetterName

    public static String getPropertyCategoryGetterName(String propertyName)

### getPropertyCategorySetterName

    public static String getPropertyCategorySetterName(String propertyName)

### hasCategoryInAnyThread

    public static boolean hasCategoryInAnyThread()

### hasCategoryInCurrentThread

    public static boolean hasCategoryInCurrentThread()

### use

    public static Object use(Class categoryClass, Closure closure)

  Create a scope based on given categoryClass and invoke closure within that scope.
  Parameters:
    `categoryClass` - the class containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

### use

    public static Object use(List categoryClasses, Closure closure)

  Create a scope based on given categoryClasses and invoke closure within that scope.
  Parameters:
    `categoryClasses` - the list of classes containing category methods
    `closure` - the closure during which to make the category class methods available
  Returns:
    the value returned from the closure

Copyright © 2003-2010 The Codehaus. All rights reserved.